Bug 823182 - samba4 : Conflicts with multiple packages
Summary: samba4 : Conflicts with multiple packages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: samba4
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Andreas Schneider
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-19 18:40 UTC by Michael Schwendt
Modified: 2012-07-23 20:21 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-23 20:21:49 UTC
Type: ---


Attachments (Terms of Use)

Description Michael Schwendt 2012-05-19 18:40:05 UTC
https://fedoraproject.org/wiki/Packaging:Conflicts#Implicit_Conflicts

=> samba4-4.0.0-49alpha18.fc18.src.rpm
=> 2:samba4-4.0.0-49alpha18.fc18.i686 in fedora-development-i386
  File conflict with: 2:samba-common-3.6.5-86.fc18.1.i686
     /usr/bin/smbcontrol
  File conflict with: 2:samba-winbind-3.6.5-86.fc18.1.i686
     /usr/lib/samba/idmap/adex.so
     /usr/lib/samba/idmap/autorid.so
     /usr/lib/samba/idmap/hash.so
     /usr/lib/samba/idmap/rid.so
     /usr/lib/samba/idmap/tdb2.so

=> samba4-4.0.0-49alpha18.fc18.src.rpm
=> 2:samba4-client-4.0.0-49alpha18.fc18.i686 in fedora-development-i386
  File conflict with: 2:samba-3.6.5-86.fc18.1.i686
     /usr/bin/eventlogadm
  File conflict with: 2:samba-common-3.6.5-86.fc18.1.i686
     /usr/bin/net
     /usr/bin/pdbedit
     /usr/bin/profiles
     /usr/bin/smbcquotas
     /usr/bin/smbpasswd
  File conflict with: 2:samba-winbind-3.6.5-86.fc18.1.i686
     /usr/bin/ntlm_auth
     /usr/share/man/man1/ntlm_auth.1.gz

=> samba4-4.0.0-49alpha18.fc18.src.rpm
=> 2:samba4-python-4.0.0-49alpha18.fc18.i686 in fedora-development-i386
  File conflict with: python-tevent-0.9.15-1.fc18.i686
     /usr/lib/python2.7/site-packages/_tevent.so

=> samba4-4.0.0-49alpha18.fc18.src.rpm
=> 2:samba4-swat-4.0.0-49alpha18.fc18.i686 in fedora-development-i386
  File conflict with: 2:samba-swat-3.6.5-86.fc18.1.i686
     /usr/sbin/swat

=> samba4-4.0.0-49alpha18.fc18.src.rpm
=> 2:samba4-winbind-clients-4.0.0-49alpha18.fc18.i686 in fedora-development-i386
  File conflict with: 2:samba-winbind-3.6.5-86.fc18.1.i686
     /usr/bin/wbinfo

[semi-automated bug report]

Comment 1 Michael Schwendt 2012-05-22 14:55:43 UTC
The latest pkg git commit for Rawhide doesn't look like it could fix all conflicts. Indeed:

=> samba4-4.0.0-50alpha18.fc18.src.rpm
=> 2:samba4-4.0.0-50alpha18.fc18.i686 in fedora-development-i386
  File conflict with: 2:samba-common-3.6.5-86.fc18.1.i686
     /usr/bin/smbcontrol

=> samba4-4.0.0-50alpha18.fc18.src.rpm
=> 2:samba4-client-4.0.0-50alpha18.fc18.i686 in fedora-development-i386
  File conflict with: 2:samba-3.6.5-86.fc18.1.i686
     /usr/bin/eventlogadm
  File conflict with: 2:samba-common-3.6.5-86.fc18.1.i686
     /usr/bin/net
     /usr/bin/pdbedit
     /usr/bin/profiles
     /usr/bin/smbcquotas
     /usr/bin/smbpasswd

=> samba4-4.0.0-50alpha18.fc18.src.rpm
=> 2:samba4-swat-4.0.0-50alpha18.fc18.i686 in fedora-development-i386
  File conflict with: 2:samba-swat-3.6.5-86.fc18.1.i686
     /usr/sbin/swat

=> samba4-4.0.0-50alpha18.fc18.src.rpm
=> 2:samba4-winbind-clients-4.0.0-50alpha18.fc18.i686 in fedora-development-i386
  File conflict with: 2:samba-winbind-3.6.5-86.fc18.1.i686
     /usr/bin/ntlm_auth
     /usr/bin/wbinfo
     /usr/share/man/man1/ntlm_auth.1.gz

Comment 2 Fedora Update System 2012-06-04 09:25:35 UTC
samba4-4.0.0-51alpha18.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/samba4-4.0.0-51alpha18.fc17

Comment 3 Fedora Update System 2012-06-04 13:25:36 UTC
samba4-4.0.0-52alpha18.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/samba4-4.0.0-52alpha18.fc17

Comment 4 Fedora Update System 2012-06-05 22:59:14 UTC
Package samba4-4.0.0-52alpha18.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing samba4-4.0.0-52alpha18.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8842/samba4-4.0.0-52alpha18.fc17
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2012-06-12 18:48:20 UTC
samba4-4.0.0-53alpha18.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/samba4-4.0.0-53alpha18.fc17

Comment 6 Fedora Update System 2012-06-15 00:27:25 UTC
Package samba4-4.0.0-53alpha18.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing samba4-4.0.0-53alpha18.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9393/samba4-4.0.0-53alpha18.fc17
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2012-06-18 12:26:29 UTC
samba4-4.0.0-54alpha18.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/samba4-4.0.0-54alpha18.fc17

Comment 8 Fedora Update System 2012-06-21 20:02:33 UTC
samba4-4.0.0-55alpha18.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/samba4-4.0.0-55alpha18.fc17

Comment 9 Bruno Wolff III 2012-06-22 12:48:08 UTC
4.0.0-55alpha18.fc17 has a new conflict with python-tdb.
Transaction Check Error:
  file /usr/lib64/python2.7/site-packages/tdb.so from install of samba4-python-2:4.0.0-55alpha18.fc17.x86_64 conflicts with file from package python-tdb-1.2.10-15.fc17.x86_64

Comment 10 Bruno Wolff III 2012-06-22 14:59:35 UTC
One other note is that I noticed an issue with the release name. You are using 55alpha18 instead of 0.55.alpha18. This can mess up incrementing the release version automatically when doing mass rebuilds. It's too late to add the leading 0., but you could still go back to adding a . between the release number and the upstream designation, which would help.

Comment 11 Fedora Update System 2012-06-22 15:21:41 UTC
samba4-4.0.0-56alpha18.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/samba4-4.0.0-56alpha18.fc17

Comment 12 Fedora Update System 2012-07-12 16:11:48 UTC
samba4-4.0.0-58alpha18.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/samba4-4.0.0-58alpha18.fc17

Comment 13 Fedora Update System 2012-07-23 20:21:49 UTC
samba4-4.0.0-58alpha18.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.